%define api_version	2
%define lib_major	0
%define lib_name	%mklibname IDL %{api_version} %{lib_major}
%define develname %mklibname -d  IDL %{api_version}

Summary:	IDL parsing library
Name:		libIDL
Version: 	0.8.14
Release:	%mkrel 2
URL:		http://orbit-resource.sf.net/
License:	LGPLv2+
Group:		System/Libraries
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Source0:	http://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.xz
BuildConflicts: ORBit-devel < 0.5.10
BuildRequires:	flex bison pkgconfig
BuildRequires:  libglib2.0-devel
Obsoletes: 	%name < %version


%description
libIDL is a small library for creating parse trees of CORBA v2.2
compliant Interface Definition Language (IDL) files, which is a
specification for defining interfaces which can be used between
different CORBA implementations.

%package -n %{lib_name}
Summary:	%{summary}
Group:		%{group}
Provides:	%{name} = %{version}-%{release}
Provides:	%{name}%{api_version} = %{version}-%{release}

%description -n %{lib_name}
libIDL is a small library for creating parse trees of CORBA v2.2
compliant Interface Definition Language (IDL) files, which is a
specification for defining interfaces which can be used between
different CORBA implementations.

%package -n %develname
Summary:	Header files and libraries needed for libIDL development
Group:		Development/Libraries
Conflicts:	ORBit-devel < 0.5.10
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{name}%{api_version}-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}
Requires:   glib2-devel
Requires(post,preun): info-install
Obsoletes: %mklibname -d  IDL 2 0

%description -n %develname
This package includes the header files and libraries needed for
developing or compiling programs using libIDL.

%prep
%setup -q

%build
%configure2_5x --disable-static

%make

%install
rm -rf %{buildroot}

%makeinstall_std
%multiarch_binaries %buildroot%_bindir/*-config*

rm -f %buildroot%_libdir/*.la

%post -n %develname
%_install_info %{name}2.info

%preun -n %develname
%_remove_install_info %{name}2.info

%clean
rm -rf %{buildroot}

%files -n %{lib_name}
%defattr(-,root,root)
%doc AUTHORS README NEWS BUGS ChangeLog
%{_libdir}/libIDL-%{api_version}.so.%{lib_major}*

%files -n %develname
%defattr(-,root,root)
%doc tstidl.c
%{_bindir}/libIDL-config-2
%{_bindir}/*/libIDL-config-2
%{_includedir}/*
%{_infodir}/*.info*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*


%changelog
* Tue May 24 2016 bb <bb> 0.8.14-2pclos2016
- rebuild for updates

* Tue Mar 30 2010 Texstar <texstar at gmail.com> 0.8.14-1pclos2010
- 0.8.14

* Sat Nov 28 2009 pcserver <pcserver at hush.com> 0.8.13-1pclos2010
- gcc update
- 0.8.13

